package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 额度申请记录文件信息
 * 表名 : t_credit_apply_userfile
 * </pre>
 * @author: Mybatis Generator
 */
public class CreditApplyUserfile {
    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userfile.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 额度申请用户文件编号
     * 表字段 : t_credit_apply_userfile.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userfile.credit_apply_code
     * </pre>
     */
    private String creditApplyCode;

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_credit_apply_userfile.file_type_code
     * </pre>
     */
    private String fileTypeCode;

    /**
     * <pre>
     * 文件全路径
     * 表字段 : t_credit_apply_userfile.url
     * </pre>
     */
    private String url;

    /**
     * <pre>
     * 序号
     * 表字段 : t_credit_apply_userfile.number
     * </pre>
     */
    private Short number;

    /**
     * <pre>
     * 文件名
     * 表字段 : t_credit_apply_userfile.name
     * </pre>
     */
    private String name;

    /**
     * <pre>
     * 文件大小
     * 表字段 : t_credit_apply_userfile.size
     * </pre>
     */
    private Long size;

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userfile.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userfile.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 额度申请用户文件编号
     * 表字段 : t_credit_apply_userfile.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 额度申请用户文件编号
     * 表字段 : t_credit_apply_userfile.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userfile.credit_apply_code
     * </pre>
     */
    public String getCreditApplyCode() {
        return creditApplyCode;
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userfile.credit_apply_code
     * </pre>
     */
    public void setCreditApplyCode(String creditApplyCode) {
        this.creditApplyCode = creditApplyCode == null ? null : creditApplyCode.trim();
    }

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_credit_apply_userfile.file_type_code
     * </pre>
     */
    public String getFileTypeCode() {
        return fileTypeCode;
    }

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_credit_apply_userfile.file_type_code
     * </pre>
     */
    public void setFileTypeCode(String fileTypeCode) {
        this.fileTypeCode = fileTypeCode == null ? null : fileTypeCode.trim();
    }

    /**
     * <pre>
     * 文件全路径
     * 表字段 : t_credit_apply_userfile.url
     * </pre>
     */
    public String getUrl() {
        return url;
    }

    /**
     * <pre>
     * 文件全路径
     * 表字段 : t_credit_apply_userfile.url
     * </pre>
     */
    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    /**
     * <pre>
     * 序号
     * 表字段 : t_credit_apply_userfile.number
     * </pre>
     */
    public Short getNumber() {
        return number;
    }

    /**
     * <pre>
     * 序号
     * 表字段 : t_credit_apply_userfile.number
     * </pre>
     */
    public void setNumber(Short number) {
        this.number = number;
    }

    /**
     * <pre>
     * 文件名
     * 表字段 : t_credit_apply_userfile.name
     * </pre>
     */
    public String getName() {
        return name;
    }

    /**
     * <pre>
     * 文件名
     * 表字段 : t_credit_apply_userfile.name
     * </pre>
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * <pre>
     * 文件大小
     * 表字段 : t_credit_apply_userfile.size
     * </pre>
     */
    public Long getSize() {
        return size;
    }

    /**
     * <pre>
     * 文件大小
     * 表字段 : t_credit_apply_userfile.size
     * </pre>
     */
    public void setSize(Long size) {
        this.size = size;
    }
}